#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <QMovie>

#include "main_window.h"

MainWindow::MainWindow()
{
	setWindowTitle(tr("Demo"));

	QLabel* label = new QLabel;
	QMovie* movie = new QMovie(":/images/image.gif");
	label->setMovie(movie);
	movie->start();

	QPushButton* button = new QPushButton(tr("&Cool!"));
	connect(button, SIGNAL(clicked()), this, SLOT(close()));

	QHBoxLayout* layout = new QHBoxLayout(this);
	layout->addWidget(label);
	layout->addWidget(button);
}
