#include <cassert>

#include <QApplication>
#include <QTranslator>

#include <library/int.h>

#include "main_window.h"

int main(int argc, char* argv[])
{
	const int value = 5;
	Int i(value);
	assert(i == value);

	QApplication app(argc, argv);
	QTranslator appTranslator;
	appTranslator.load(":/translations/rus.qm");
	app.installTranslator(&appTranslator);
	MainWindow window;
	window.show();
	return app.exec();
}
